org.eclipse.wst.jsdt.debug.core.jsdi

## Class IncompatibleThreadStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.wst.jsdt.debug.core.jsdi.IncompatibleThreadStateException

All Implemented Interfaces:
  java.io.Serializable

    public final class IncompatibleThreadStateException
    extends java.lang.Exception

Exception that is thrown when a request is made to a `ThreadReference` which is not allowed based on its current state. Clients can instantiate this class.

Since:
  1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IncompatibleThreadStateException(java.lang.String message, java.lang.Throwable cause)` Constructor

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncompatibleThreadStateException

    public IncompatibleThreadStateException(java.lang.String message,
                                            java.lang.Throwable cause)

Constructor

Parameters:
  `message` - the backing message for the exception
  `cause` - the cause (if any) for this exception. `null` is accepted.